﻿<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
#
# ***** Debut specificite Magik *****
# Adaptation du template de base (default) au theme "Magik" par L2 en mars 2007
# Theme "Magik" cree pour le site christinemerlin.fr
# Peu de modifications a partir de la version de base :
# * ordre des items de la sidebar revu
# * suppression des fils de commentaires atom
# * liens de navigation en haut de page
# Ce theme est bien entendu librement utilisable
# merci toutefois de citer la source ou de faire un lien vers le site christinemerlin.fr
# 
# ***** Fin specificite Magik *****
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php dcInfo('lang'); ?>" lang="<?php dcInfo('lang'); ?>">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=<?php dcInfo('encoding'); ?>" />
	<meta name="MSSmartTagsPreventParsing" content="TRUE" />
	<?php dcHeadLinks(); ?>
	<link rel="alternate" type="application/rss+xml" title="RSS" href="<?php dcInfo('rss'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom" href="<?php dcInfo('atom'); ?>" />
	<meta name="DC.title" content="<?php dcInfo(); ?>" />
	<title><?php dcSinglePostTitle('%s - '); dcSingleCatTitle('%s - '); dcSingleMonthTitle('%s - '); dcCustomTitle('%s - '); dcInfo(); ?></title>
	<link rel="stylesheet" type="text/css" href="<?php dcInfo('theme'); ?>/style.css" media="screen" />
	<?php dcPostTrackbackAutoDiscovery(); ?>
</head>
<body>
<div id="page">
	<p id="prelude">
		<a href="#main">Aller au contenu</a> |
		<a href="#sidebar">Aller au menu</a> |
		<a href="#search">Aller &agrave; la recherche</a>
	</p>
	<div id="top">
		<h1><a href="<?php dcInfo('url'); ?>"><?php dcInfo(); ?></a></h1>
		<p><?php echo dc_blog_desc; ?></p>
	</div>
	<div id="sidebar">
		<?php /* Affichage selection uniquement si des billets sont presents */ ?>
		<?php dcSelection('<div id="selection"><h2>&Agrave; retenir</h2><ul>%s</ul></div>'); ?>
		<?php dcLangList('<div id="languages"><h2>Langues</h2><ul>%s</ul></div>'); ?>
		<div id="categories">
			<h2>Cat&eacute;gories</h2>
			<?php dcCatList(); ?>
		</div>
		<div id="archives">
			<h2>Archives</h2>
			<?php dcMonthsList(); ?>
		</div>
		<div id="links">
			<h2>Liens</h2>
			<?php dcBlogroll::linkList(); ?>
		</div>
		<div id="calendar">
			<h2>Calendrier</h2>
			<?php /*Affichage du calendrier */ dcCalendar('<table summary="Calendrier">%s</table>'); ?>
			<span></span>
		</div>
		<div id="search">
			<form action="<?php dcInfo('search'); ?>" method="get">
				<h2><label for="q">Rechercher</label></h2>
				<p class="field">
					<input name="q" id="q" type="text" size="20" value="<?php dcSearchString(); ?>" accesskey="4" />
					<input type="submit" class="submit" value="ok" />
				</p>
			</form>
		</div>
		<div id="syndicate">
			<h2>Syndication</h2>
			<ul>
				<li><a href="<?php dcInfo('rss'); ?>">fil rss</a></li>
				<li><a href="<?php dcInfo('rss'); ?>?type=co">fil rss commentaires</a></li>
			</ul>
		</div>
	</div>
	<div id="main">
		<div id="content">
			<?php if ($err_msg != '') : /* Si on a une quelconque erreur, on l'affiche */?>
			<div class="error">
				<strong>Erreur : </strong>
				<?php echo $err_msg; ?>
			</div>
			<?php elseif ($preview) : /* Si on demande la previsualisation d'un commentaire */?>
			<h3>Commentaire pour <?php dcPostTitle(); ?></h3>
			<div id="comment-preview">
				<blockquote>
					<?php dcCommentPreview(); ?>
				</blockquote>
			</div>
			<hr />
			<h3>Changer le commentaire</h3>
			<?php include dirname(__FILE__).'/form.php'; ?>
			<?php elseif ($mode != 'post') : /* Si pas erreur et mode=post on affiche liste billets */?>
			<?php /* Phrase affichee en cas de recherche (%s est le mot cherche) */ dcSearchString('<p>R&eacute;sultats de votre recherche de <em>%s</em>.</p>'); ?>
			<?php include dirname(__FILE__).'/list.php'; ?>
			<?php else : /* Sinon, mode = post, donc billet unique (avec coms et tout le reste)*/?>
			<?php include dirname(__FILE__).'/post.php'; ?>
			<?php endif; ?>
		</div>
	</div>
	<p id="footer">Propuls&eacute; par
		<a href="http://www.dotclear.net/">Dotclear</a>
		. Th&egrave;me Magik cr&eacute;&eacute; pour 
		<a href="http://christinemerlin.fr">Enchant&eacute;e, le blog de Christine Merlin</a>
	</p>
</div>
<!-- end #page -->
</body>
</html>